> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Automapping

> Automatically maps materials for a specific building project using the AutoMap engine. This endpoint analyses the materials in the specified project branch and attempts to assign the most appropriate EPD (Environmental Product Declaration) mappings based on the provided configuration.



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml post /Mapping/AutoMap
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /Mapping/AutoMap:
    servers:
      - url: https://api.realtimelca.com/rest/api
    post:
      tags:
        - Project
        - Mapping
        - Automapping
      summary: Automapping
      description: >-
        Automatically maps materials for a specific building project using the
        AutoMap engine. This endpoint analyses the materials in the specified
        project branch and attempts to assign the most appropriate EPD
        (Environmental Product Declaration) mappings based on the provided
        configuration.
      parameters:
        - name: buildingProjectId
          in: query
          schema:
            type: string
          example: f5f965c5-5f2b-4afc-983c-53044a6b6f9a
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                mostFrequent:
                  type: boolean
                branchName:
                  type: string
                epdIdUnitValuePairs:
                  type: object
                MaterialMappingErrorsToIgnore:
                  type: array
                  items: {}
            example:
              mostFrequent: true
              branchName: thom-ass
              epdIdUnitValuePairs: {}
              MaterialMappingErrorsToIgnore: []
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````